/*!\file:  GetVerticesCoordinates.cpp
 * \brief get node coordinates
 */ 

#include "./elements.h"

void GetVerticesCoordinates(IssmDouble* xyz,  Node** nodes, int numvertices){

	/*In debugging mode, check that nodes is not a NULL pointer*/
	_assert_(nodes);

	for(int i=0;i<numvertices;i++) {
		xyz[i*3+0]=nodes[i]->GetX();
		xyz[i*3+1]=nodes[i]->GetY();
		xyz[i*3+2]=nodes[i]->GetZ();
	}
}
